# $Revision: 1.9 $, $Date: 2010/04/11 09:14:36 $
Summary:	MSN Library
Summary(pl.UTF-8):	Biblioteka MSN
Name:		libmsn
Version:	4.1
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libmsn/%{name}-%{version}.tar.bz2
# Source0-md5:	769d3cf0e5625263fbc23321c1ddfcb0
Patch0:		%{name}-openssl.patch
URL:		http://sourceforge.net/projects/libmsn/
BuildRequires:	cmake
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libmsn is a reusable, open-source, fully documented library for
connecting to Microsoft's MSN Messenger service.

%description -l pl.UTF-8
libmsn to mająca otwarte źródła, w pełni udokumentowana biblioteka do
łączenia się z usługą MSN Messenger Microsoftu.

%package devel
Summary:	Header files for MSN library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MSN
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for MSN library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MSN.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/msntest
%attr(755,root,root) %ghost %{_libdir}/libmsn.so.0.3
%attr(755,root,root) %{_libdir}/libmsn.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmsn.so
%{_pkgconfigdir}/libmsn.pc
%{_includedir}/msn

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmsn.spec,v $
Revision 1.9  2010/04/11 09:14:36  arekm
- up to 4.1

Revision 1.8  2010/04/11 06:27:54  arekm
- release 2

Revision 1.7  2010/01/08 12:27:43  arekm
- up to 4.0 final

Revision 1.6  2009/12/02 17:30:43  sparky
- BR: openssl-devel

Revision 1.5  2009/01/29 15:01:45  glen
- 4.0 beta4

Revision 1.4  2009/01/10 19:06:30  qboosh
- updated pl desc, dropped bogus R()

Revision 1.3  2009/01/10 15:32:26  glen
- longer english description

Revision 1.2  2009/01/07 09:55:21  shadzik
- beta2

Revision 1.1  2008/11/26 22:10:34  shadzik
- init
